Bug 699990 - [abrt] yelp-3.0.2-1.fc15: yelp_window_load_uri: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
[abrt] yelp-3.0.2-1.fc15: yelp_window_load_uri: Process /usr/bin/yelp was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:51b6514dab39856e286b5a3d8f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-27 03:51 EDT by xwillex
Modified: 2012-08-07 13:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (10.05 KB, text/plain)
2011-04-27 03:51 EDT, xwillex
no flags Details
File: build_ids (3.92 KB, text/plain)
2011-04-27 03:51 EDT, xwillex
no flags Details
File: dsos (29.22 KB, text/plain)
2011-04-27 03:51 EDT, xwillex
no flags Details
File: backtrace (26.88 KB, text/plain)
2011-04-27 03:52 EDT, xwillex
no flags Details
File: maps (39.89 KB, text/plain)
2011-04-27 03:52 EDT, xwillex
no flags Details

  None (edit)
Description xwillex 2011-04-27 03:51:50 EDT
abrt version: 2.0.1
executable: /usr/bin/yelp
cmdline: yelp ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml
component: yelp
crash_function: yelp_window_load_uri
kernel: 2.6.38.3-18.fc15.x86_64
package: yelp-3.0.2-1.fc15
reason: Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)
uid: 500
architecture: x86_64
username: wille
rating: 4
time: 1303890438
os_release: Fedora release 15 (Lovelock)

Text file: event_log, 10291 bytes
Text file: build_ids, 4018 bytes
Binary file: coredump, 1158467584 bytes
Text file: dsos, 29923 bytes
Text file: backtrace, 27522 bytes
Text file: maps, 40844 bytes

environ
-----
XDG_SESSION_ID=1
HOSTNAME=Carbon
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=4b70c4ff570dbebb4cc986c800000010-1303887226.670550-381380759
GNOME_KEYRING_CONTROL=/tmp/keyring-HRtYAu
IMSETTINGS_MODULE=IBus
USER=wille
USERNAME=wille
MAIL=/var/spool/mail/wille
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/wille/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/wille
XMODIFIERS=@im=ibus
GNOME_KEYRING_PID=1567
LANG=fi_FI.utf8
GDM_LANG=fi_FI.utf8
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/wille
SHLVL=1
LOGNAME=wille
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-jFjM4ZCL4y,guid=ad0909855b66fa033333b98e00000038
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/wille
DISPLAY=:0.0
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-wille-xSvHIl/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1575,unix/unix:/tmp/.ICE-unix/1575
ORBIT_SOCKETDIR=/tmp/orbit-wille
SSH_AUTH_SOCK=/tmp/keyring-HRtYAu/ssh
GPG_AGENT_INFO=/tmp/keyring-HRtYAu/gpg:0:1
GJS_DEBUG_OUTPUT=stderr
'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
DESKTOP_STARTUP_ID=gnome-terminal-2045-Carbon-yelp-0_TIME3259542
GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-yelp.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=7227
Comment 1 xwillex 2011-04-27 03:51:53 EDT
Created attachment 495135 [details]
File: event_log
Comment 2 xwillex 2011-04-27 03:51:55 EDT
Created attachment 495136 [details]
File: build_ids
Comment 3 xwillex 2011-04-27 03:51:58 EDT
Created attachment 495137 [details]
File: dsos
Comment 4 xwillex 2011-04-27 03:52:01 EDT
Created attachment 495138 [details]
File: backtrace
Comment 5 xwillex 2011-04-27 03:52:04 EDT
Created attachment 495139 [details]
File: maps
Comment 6 marian 2011-05-16 07:10:21 EDT
Package: yelp-3.0.2-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Nautilus Help->Contents
Comment 7 collura 2011-05-25 23:05:11 EDT
Process /usr/bin/yelp was killed by signal 11 (SIGSEGV)

yelp-3.0.3-1.fc15 (x86_64)

activities-help - searched for a term in help
Comment 8 D.S. Ljungmark 2011-05-28 07:39:58 EDT
Package: yelp-3.0.2-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Press F1 repeatedly.
Comment 9 masami256 2011-06-03 13:30:03 EDT
Package: yelp-3.0.3-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
/usr/bin/yelp crashes when open help window twice continuously 
Test step
1. open gnome-terminal
2. push F1 key to show help
3. click "X" button to close help window
4. push F1 key again
 
I chekced using rhythmbox instead of gnome-terminal, it got same result.
Comment 10 Shaun McCance 2011-06-24 23:22:08 EDT
Fixed by the following commit upstream:

http://git.gnome.org/browse/yelp/commit/?h=gnome-3-0&id=e89ee12de26bf427d52f2ad85e8f27f75a121d14

I just rolled a 3.0.4 release with this fix and the fix to bugs #706337 and #710089.
Comment 11 Fedora End Of Life 2012-08-07 13:03:59 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.